Subject: bug#53910: 29.0.50; context-menu-mode breaks help in read-only buffers

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 10 Feb 2022 08:08:04 +0100

Ergus <[email-masked]> writes:

> Exposed initially by this:
>
> emacs -Q
> M-x toggle-read-only
> M-x context-menu-mode
> C-h b
>
> Just a message is shown in the echo area like an error because the
> buffer is read only (and such text can't be inserted...).
>
> BTW: I toggled the debug-on-entry and tried the second set of steps and
> debugger was not triggered, so I am not sure if this is another issue.

I can reproduce this bug, and I can't get a backtrace either, even with
debug-on-signal, which is unusual.

I had a brief peek at context-menu-mode to see whether it was obvious
what was breaking, but nothing really stood out (but then again, I'm not
very familiar with that code).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no